intsall_deps / OSL use c++11 ABI when install_deps is asking for c++11
authorMartijn Berger <martijn.berger@gmail.com>
Mon, 14 Nov 2016 08:59:30 +0000 (09:59 +0100)
committerMartijn Berger <martijn.berger@gmail.com>
Mon, 14 Nov 2016 08:59:30 +0000 (09:59 +0100)
build_files/build_environment/install_deps.sh

index 7844ff5ffda942bc4fbc0df974c0ef62390463b4..5a02a96bdff9c2777b41f2af3a1efd9ba0492404 100755 (executable)
@@ -1858,6 +1858,9 @@ compile_OSL() {
     cmake_d="$cmake_d -D OSL_BUILD_PLUGINS=OFF"
     cmake_d="$cmake_d -D OSL_BUILD_TESTS=OFF"
     cmake_d="$cmake_d -D USE_SIMD=sse2"
+    if [ "$USE_CXX11" = true ]; then
+        cmake_d="$cmake_d -D OSL_BUILD_CPP11=1"
+    fi
 
     #~ cmake_d="$cmake_d -D ILMBASE_VERSION=$ILMBASE_VERSION"